<template>
	<view class="container">
		<view class="order-item" style="padding: 200rpx 0; display: grid; place-items: center;">
			<!-- 订单 -->
			<view style="font-size: 48rpx; margin-bottom: 20rpx;">{{ list.orderSn }}</view>
			<view :style="{color: getStatusColor(list.status)}"  style="font-size: 56rpx;">
				{{ getStatusText(list.status) }}
			</view>
		</view>
		<view class=" order-item">
			<view class="item-allnumb-box">
				<view class="allnumb-left">
					<image class="img" :src="list.avatar || '@/tatic/logo.png' " style="width: 50rpx; height: 50rpx" />
					<span style="margin-left:20rpx">{{list.memberUsername}}</span>
				</view>
				<view class="allnumb-right">
					<u-icon name="phone" color="#2979ff" size="24" @click="handlerMakePhone(list.mobile)" />
				</view>
			</view>

			<u-line margin="20rpx 0"></u-line>

			<view class="item-center" :key="idx" v-for="(itm, idx) of list.goodsInfo">
				<view class="center-left">
					<image :src="itm.goodsPic" class="img"></image>
				</view>
				<view class="center-right">
					<view class="r-l">
						<view class="right-name"> {{ itm.goodsName }} </view>
						<view class="right-descript"> 测试商品描述111 </view>
						<view class="l-box">
							<view class="right-price"> ￥{{ itm.goodsPrice }} </view>
							<view class="right-numb"> ×{{ itm.goodsQuantity }} </view>
						</view>
					</view>
				</view>
			</view>

			<view class="item-allnumb-box">
				<view class="allnumb-left"></view>
				<view class="allnumb-right">
					<span class="r-text">实付款</span>￥{{ list.payAmount }}
				</view>
			</view>


		</view>
		<!-- 服务信息 -->
		<view class="order-item">
			<view style="font-size: 48rpx;margin-bottom: 10rpx;">服务信息</view>
			<view class="item-top">
				<view class="top-left gray-color">订单编号 : {{ list.id || '--'  }}</view>
				<view class="top-right">
					<u-button type="primary" text="复制" size="mini" :plain="true" @click="ClipboardData"></u-button>
				</view>
			</view>
			<view class="item-top">
				<view class="top-left gray-color">下单时间 : {{ formatTime1(list.createTime) || '--'   }}</view>
				<view class="top-right"></view>
			</view>
			<view class="item-top">
				<view class="top-left gray-color">备注 : {{ list.note  || '--'  }}</view>
				<view class="top-right"></view>
			</view>
		</view>

		<view class="btn"><u-button @click="compileHalend" type="primary" shape="circle" size="large"
				text="确认核销"></u-button></view>

	</view>
</template>

<script>
	import {
		getVerificationApi,
	} from '@/api/merchant/order'
	import {
		mapGetters
	} from 'vuex';
	export default {
		data() {
			return {
				list: {},
			};
		},
		computed: {
			...mapGetters(['merchantId']),
		},
		mounted() {},
		onLoad(options) {
			console.log(options, "options");
			this.list = options.list[0]
			
		},
		onShow() {
		},
		methods: {
			ClipboardData(){
				// 在需要触发复制操作的事件中调用该方法
				uni.setClipboardData({
				  data: this.list.id,
				  success: function () {
				    uni.showToast({
				      title: '复制成功',
				      icon: 'success'
				    })
				  }
				})
			},
			compileHalend() {
				console.log(this.list.id, this.merchantId,"this.list.id, this.merchantId")
				getVerificationApi(this.list.id, this.list.merchantId)
					.then(response => {
						uni.navigateTo({
							url:"/pageMerchant/storeModule/components/verificationStatus"
						})
						if (response.code == "OK") {
							// uni.navigateTo({
							// 	url:"/pageMerchant/storeModule/components/verificationStatus"
							// })
							// uni.showToast({
							// 	title: "核销成功",
							// 	icon: 'success',
							// 	dration: 2000,
							// });
						}
					})
			},
			handlerMakePhone() {
				console.log("打电话")
			},
			getStatusColor(status) {
				switch (status) {
					case 1:
						return 'blue';
					case 2:
						return 'red';
					case 3:
						return 'orange';
					case 4:
						return 'green';
					default:
						return 'black';
				}
			},
			getStatusText(status) {
				switch (status) {
					case 1:
						return '待核销';
					case 2:
						return '已核销';
					case 3:
						return '已退款';
					case 4:
						return '已过期';
					default:
						return '';
				}
			},
			formatTime1(timestamp) {
				const date = new Date(timestamp); // 转换为毫秒
				const year = date.getFullYear();
				const month = ('0' + (date.getMonth() + 1)).slice(-2);
				const day = ('0' + date.getDate()).slice(-2);
				const hour = ('0' + date.getHours()).slice(-2);
				const minute = ('0' + date.getMinutes()).slice(-2);
				const second = ('0' + date.getSeconds()).slice(-2);

				return `${year}-${month}-${day} ${hour}:${minute}:${second}`;
			}
		},
	};
</script>

<style lang="scss" scoped>
	.container{
		padding: 20rpx;
	}
	.order {
		margin-top: 10px;
		padding: 10rpx 20rpx 20rpx;
		box-sizing: border-box;

	}

	.order-item {
		margin-bottom: 20rpx;
		background-color: #fff;
		border-radius: 20rpx;
		padding: 20rpx;
		box-shadow: 0 8rpx 15rpx 0 rgba(0, 0, 0, 0.08);

		.item-top {
			display: flex;
			justify-content: space-between;
			margin-bottom: 10rpx;
		}

		.item-center {
			display: flex;
			align-items: center;
			margin-bottom: 10rpx;

			.center-left {
				height: 160rpx;

				.img {
					width: 160rpx;
					height: 160rpx;
				}
			}

			.center-right {
				width: 100%;
				height: 160rpx;
				display: flex;
				justify-content: space-between;
				margin-left: 20rpx;

				.r-l {
					display: flex;
					flex-direction: column;
					justify-content: space-around;

					.right-name {
						color: #4d5671;
						font-size: 32rpx;
						font-weight: bold;
					}

					.right-descript {
						font-size: 28rpx;
						color: #858797;
					}

					.l-box {
						display: flex;
						font-size: 24rpx;
						align-items: center;
						font-style: italic;

						.right-price {
							margin-right: 20rpx;
							font-weight: bold;
							font-size: 28rpx;
							color: #f57f32;
						}

						.right-numb {
							font-size: 24rpx;
							color: #858797;
						}
					}
				}

				.r-r {
					.r-item {
						align-items: center;
					}
				}
			}
		}

		.item-allnumb-box {
			display: flex;
			justify-content: space-between;
			align-items: center;
			font-weight: bold;

			.allnumb-left {
				display: flex;
				justify-content: start;
				align-items: center;
				font-size: 32rpx;

				.img {
					display: block;
				}
			}

			.allnumb-right {
				font-size: 26rpx;
				color: #f57f32;

				.r-text {
					color: #000;
				}
			}
		}
	}

	.item-bottom {
		width: 100%;
		margin-top: 20rpx;

		.btn {
			height: 70rpx;
			background-color: rgba(248, 213, 53, 0.8);
			color: #4e5059;
			font-size: 28rpx;
			text-align: center;
			line-height: 70rpx;
			border-radius: 20rpx;
		}
	}

	.gray-color {
		color: #858797;
	}

	::deep .u-tabs__wrapper__nav__item__text {
		font-size: 30px;
	}

	.btn {
		margin-bottom: 50rpx;
		padding: 0 20rpx;
	}
</style>